/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.data;

import benten.core.AbstractBentenPlugin;

/**
 * Benten 用語集のための抽象 TSV 形式データ・プラグイン。
 * 
 * TSV 形式で格納された用語集を Benten に認識させるための抽象クラスです。
 */
public abstract class AbstractBentenGlossaryDataTsvPlugin extends AbstractBentenPlugin {

	/** 共用インスタンス */
	protected static AbstractBentenGlossaryDataTsvPlugin plugin;

	/**
	 * このプラグインの共用インスタンスを取得します。
	 * @return このプラグインの共用インスタンス
	 */
	public static AbstractBentenGlossaryDataTsvPlugin getDefault() {
		return plugin;
	}
}
