/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.core.ui;

import org.osgi.framework.BundleContext;

import benten.core.AbstractBentenPlugin;

/**
 * Benten CAT 用語集コア・プラグイン。
 */
public class CatGlossaryCorePlugin extends AbstractBentenPlugin {

	/** 共用インスタンス */
	private static CatGlossaryCorePlugin plugin;

	/**
	 * コンストラクター。
	 */
	public CatGlossaryCorePlugin() {
	}

	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/**
	 * このプラグインの共用インスタンスを取得します。
	 * @return このプラグインの共用インスタンス
	 */
	public static CatGlossaryCorePlugin getDefault() {
		return plugin;
	}
}
